%define name smartsuite
%define version 2.1
%define release 2mdk

Summary: 	UCSC SMART Suite 
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	http://prdownloads.sourceforge.net/smartsuite/%{name}-%{version}.tar.bz2
Source1: 	smartd.initd.bz2
License: 	GPL
URL:		http://csl.cse.ucsc.edu/smart.shtml
Group: 		Monitoring
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Provides:	ucsc-smartsuite
Obsoletes:  ucsc-smartsuite
PreReq: 	rpm-helper

%description
Self-Monitoring Analysis and Reporting Technology System (S.M.A.R.T.) was
developed to monitor and attempt to detect hard drive failures. It uses added
intelligence in the hard drive firmware to sense minor changes in the drive 
which usually lead to failures. One white paper claims that SMART can detect 
70% of drive predictable drive failures. This projects goal is to allow Linux 
users the ability to monitor their S.M.A.R.T. capable hard drives thus, 
indirectly improving user reliability. UCSC SMART Suite contains a command 
utility and daemon to access S.M.A.R.T. data on ATA and SCSI hard disk drives. 


%prep 
rm -rf $RPM_BUILD_ROOT

%setup -a 0

%build
%make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_mandir}/man8,%{_sbindir},%{_initrddir}}
bzcat %SOURCE1 > $RPM_BUILD_ROOT%_initrddir/smartd
cp ./smartd $RPM_BUILD_ROOT%_sbindir
cp ./smartctl $RPM_BUILD_ROOT%_sbindir
cp ./smartd.8 $RPM_BUILD_ROOT%_mandir/man8
cp ./smartctl.8 $RPM_BUILD_ROOT%_mandir/man8

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service smartd

%preun
%_preun_service smartd

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING README TODO
%{_sbindir}/smartctl
%{_sbindir}/smartd
%{_mandir}/man8/smartctl.8*
%{_mandir}/man8/smartd.8*
%config(noreplace) %_initrddir/smartd

%changelog
* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1-2mdk
- rebuild for glibc and rpm

* Sun Oct 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1-1mdk
- 2.1 by djoh (#mandrakefr, don't know more about him)
- Add and fix initscript for mdk
- add %%post %%pre
- Change %%name ucsc-smartsuite to smartsuite
- Obsolete ucsc-smartsuite
- Update URL

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0-4mdk
- url
- rebuild

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0-3mdk
- rebuild

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0-2mdk
- used srpm from Christian Zoffoli <czoffoli@linux-mandrake.com>
- patch makefile to ensure user build

* Thu Aug 24 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.0-0.1mdk
- new package

